net.corda.node.services.api

## Class SchemaService.SchemaOptions

- net.corda.node.services.api.SchemaService.SchemaOptions

- Enclosing interface:
    SchemaService

      public static class SchemaService.SchemaOptions

  Represents any options configured on the node for a schema.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaOptions(java.lang.String databaseSchema, java.lang.String tablePrefix)` Represents any options configured on the node for a schema.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `java.lang.String` | `component2()`
    `SchemaService.SchemaOptions` | `copy(java.lang.String databaseSchema, java.lang.String tablePrefix)` Represents any options configured on the node for a schema.
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getDatabaseSchema()`
    `java.lang.String` | `getTablePrefix()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### SchemaOptions

          public SchemaOptions(java.lang.String databaseSchema,
                               java.lang.String tablePrefix)

      Represents any options configured on the node for a schema.

  - ### Method Detail

    - #### getDatabaseSchema

          public java.lang.String getDatabaseSchema()

    - #### getTablePrefix

          public java.lang.String getTablePrefix()

    - #### component1

          public java.lang.String component1()

    - #### component2

          public java.lang.String component2()

    - #### copy

          public SchemaService.SchemaOptions copy(java.lang.String databaseSchema,
                                                  java.lang.String tablePrefix)

      Represents any options configured on the node for a schema.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)